Skip to main content
GET
/
v1
/
bill
/
orders
List customer orders
curl --request GET \
  --url https://api.sandbox.busha.so/v1/bill/orders \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "message for success",
  "pagination": {
    "current_entries_size": 20,
    "next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
    "previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
  },
  "data": [
    {
      "id": "bus_123456789",
      "reference": "BILL-abc123def456",
      "recipient": "<string>",
      "amount": "1000.00",
      "currency": "NGN",
      "status": "pending",
      "created_at": "2023-10-15T12:15:30Z",
      "updated_at": "2023-10-15T12:15:30Z",
      "source_amount": "1000.00",
      "source_currency": "NGN",
      "provider_amount": "200.00",
      "failure_reason": "<string>",
      "provider_reference": "<string>",
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Query Parameters

cursor
string<string>

The cursor

limit
integer

The number of items to return

Example:

10

status
enum<string>

Filter by order status

Available options:
pending,
processing,
completed,
failed,
cancelled
category
enum<string>

Filter by bill category

Available options:
airtime,
data,
electricity,
cable,
betting,
voucher

Response

200 - application/json

Orders retrieved

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

pagination
object
required
data
object[]